Bug 151950 - yum crashes trying to update cracklib (IndexError: pop from empty list)
Summary: yum crashes trying to update cracklib (IndexError: pop from empty list)
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-23 19:42 UTC by Tom Duffy
Modified: 2014-01-21 22:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-26 23:00:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Duffy 2005-03-23 19:42:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050303 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
[root@wgs40-171 ~]# yum install cracklib
Setting up Install Process
Setting up Repos
development               100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package cracklib.x86_64 0:2.8.2-1 set to be updated
---> Package cracklib.i386 0:2.8.2-1 set to be updated
--> Running transaction check
--> Processing Conflict: cracklib conflicts cracklib-dicts < 2.8
Traceback (most recent call last):
  File "/usr/bin/yum", line 15, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 113, in main
    (result, resultmsgs) = base.buildTransaction()
  File "__init__.py", line 279, in buildTransaction
  File "depsolve.py", line 216, in resolveDeps
  File "depsolve.py", line 639, in _processConflict
  File "sqlitesack.py", line 390, in returnNewestByNameArch
IndexError: pop from empty list


Version-Release number of selected component (if applicable):
yum-2.3.1-3

How reproducible:
Always

Steps to Reproduce:
1. install FC4t1
2. update yum
3. use yum to try to update cracklib
  

Additional info:

Comment 1 Seth Vidal 2005-03-26 23:00:20 UTC
Fix checked into cvs. Thanks.



Note You need to log in before you can comment on or make changes to this bug.